Next: Option Summary, Up: Invoking GPG-AGENT [Contents][Index]

### 2.1 Commands

Commands are not distinguished from options except for the fact that only one command is allowed.

`--version` ¶

  Print the program version and licensing information. Note that you cannot abbreviate this command.

`--help` ¶
`-h`

  Print a usage message summarizing the most useful command-line options. Note that you cannot abbreviate this command.

`--dump-options` ¶

  Print a list of all available options and commands. Note that you cannot abbreviate this command.

`--server` ¶

  Run in server mode and wait for commands on the `stdin`. The default mode is to create a socket and listen for commands there.

`--daemon [command line]` ¶

  Start the gpg-agent as a daemon; that is, detach it from the console and run it in the background.

  As an alternative you may create a new process as a child of gpg-agent: `gpg-agent --daemon /bin/sh`. This way you get a new shell with the environment setup properly; after you exit from this shell, gpg-agent terminates within a few seconds.

`--supervised` ¶

  Run in the foreground, sending logs by default to stderr, and listening on provided file descriptors, which must already be bound to listening sockets. This command is useful when running under systemd or other similar process supervision schemes. This option is not supported on Windows.

  In –supervised mode, different file descriptors can be provided for use as different socket types (e.g. ssh, extra) as long as they are identified in the environment variable `LISTEN_FDNAMES` (see sd_listen_fds(3) on some Linux distributions for more information on this convention).

Next: Option Summary, Up: Invoking GPG-AGENT [Contents][Index]